Bug 3405 - [UPDATE REQUEST] qt5 5.1.1 -> 5.2.0, qt-creator 2.8.1 -> 3.0.0
: [UPDATE REQUEST] qt5 5.1.1 -> 5.2.0, qt-creator 2.8.1 -> 3.0.0
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-13 15:59 MSK by Andrey Bondrov
Modified: 2014-01-22 11:42 MSK (History)
4 users (show)

See Also:
RPM Package: qt5, qt-creator
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
ss (163.39 KB, image/png)
2013-12-23 18:22 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2013-12-13 15:59:14 MSK
New versions of Qt5 and Qt Creator were released.
Comment 1 Andrey Bondrov 2013-12-13 16:00:58 MSK
Advisory: "New version 5.2.0"

https://abf.rosalinux.ru/build_lists/1488768
https://abf.rosalinux.ru/build_lists/1488759
Comment 2 Andrey Bondrov 2013-12-13 16:01:49 MSK
Advisory: "New version 3.0.0"

https://abf.rosalinux.ru/build_lists/1488858
https://abf.rosalinux.ru/build_lists/1488859

P.S. Requires Qt 5.2.0 so make sure to update Qt too.
Comment 3 Dmitry 2013-12-20 14:34:57 MSK
CMake ругается при сборке, хочет все плагины Qt5Gui:

CMake Error at /usr/lib/cmake/Qt5Gui/Qt5GuiConfig.cmake:15 (message):
  The imported target "Qt5::Gui" references the file

     "/usr/lib/qt5/plugins/platforms/libqdirectfb.so"

  but this file does not exist.  Possible reasons include:

  * The file was deleted, renamed, or moved to another location.

  * An install or uninstall procedure did not complete successfully.

  * The installation package was faulty and contained

     "/usr/lib/cmake/Qt5Gui/Qt5Gui_QDirectFbIntegrationPlugin.cmake"

  but not all the files it references.

Плагины лежат в libqt5gui5-* пакетах. Проблема решилась установкой всех таких пакетов. Предполагаю, что нужно либо завязать их по зависимостям от libqt5gui5 или положить прямо в libqt5gui5.
Comment 4 Dmitry 2013-12-20 14:39:02 MSK
А так SC запускается и работает. На старом Qt 5.1 крэшится при старте после обновления иксов или месы.

По зависимостям: libqt5-gui5 требует libqt5gui5-*
Comment 5 Dmitry 2013-12-20 14:50:48 MSK
Не, надо откатывать этот ****** virtualbox! Невозможно с ним вообще никак.
Comment 6 Dmitry 2013-12-20 14:55:49 MSK
После запуска QtCreator'а виртуалка упросто умирает в скором времени
Comment 7 Andrey Bondrov 2013-12-22 18:13:20 MSK
New build lists for Qt 5.2.0:

Advisory: "New version 5.2.0, make sure all GUI plugins are installed"

https://abf.rosalinux.ru/build_lists/1493243
https://abf.rosalinux.ru/build_lists/1493244
Comment 8 Postnikov Dmitry 2013-12-23 14:00:56 MSK
I have 2 small project gathered with cmake. Everything is normal.
Comment 9 Vladimir Potapov 2013-12-23 18:22:13 MSK
Created attachment 2449 [details]
ss

How to setup examples?
Comment 10 Vladimir Potapov 2013-12-23 18:24:17 MSK
Is it possible to add gcc-c++ in depends?
Comment 11 Andrey Bondrov 2013-12-23 18:54:30 MSK
(In reply to comment #9)
> Created attachment 2449 [details]
> How to setup examples?

As examples are installed into system path, I'm afraid it's better not to setup them at all to avoid disk write access issues. Perhaps that feature for designed for Windows version.

> Is it possible to add gcc-c++ in depends

I don't think it's a good idea because people may want to use other compilers instead of gcc.
Comment 12 Vladimir Potapov 2013-12-23 19:15:22 MSK
(In reply to comment #11)
> (In reply to comment #9)
> > Created attachment 2449 [details]
> > How to setup examples?
> 
> As examples are installed into system path, I'm afraid it's better not to
> setup them at all to avoid disk write access issues. Perhaps that feature
> for designed for Windows version.
Even in the Windows certificate programs are fully functional without administrator rights... examples set up to user folder...
Comment 13 Andrey Bondrov 2013-12-23 19:29:30 MSK
(In reply to comment #12)
> Even in the Windows certificate programs are fully functional without
> administrator rights... examples set up to user folder...

In fact, I never used Qt examples in Qt Creator so I don't know. I'll take a look how they work.
Comment 14 Andrey Bondrov 2013-12-23 20:43:15 MSK
Looks like Qt Creator doesn't see Qt5 examples because of upstream bug. There should be examples-manifest.xml file but it's not generated.

It's not a regression so I suggest to fix this minor bug later.
Comment 15 Vladimir Potapov 2013-12-24 18:56:38 MSK
qt5-5.2.0-2
qt-creator-3.0.0-2
*************** Advisory ******************
New versions
*******************************************
QA Verified